//: typy-slov

#define WORD      1  // slovo
#define WORDPART  2  // cast slova
#define WORDCAT   3  // kategorie slova
#define BINDTEXT  4  // klavesova zkratka, v modu psani, vice v bindings.h
#define BINDWIN   5  // klavesova zkratka, v modu chozeni, vice v bindings.h
#define OUTPUT    6  // odkaz na text pro output

#define OTHERHASH 0  // cokoli dalsiho, nevsima si toho funkce uklid()

//: hashsize

#define HASHSIZE 797  // velikost hashoveho pole

//: struct-hash

struct hash{
  char typ;      // informace, na zaklade ktere se hleda
  char *string;  // informace, na zaklade ktere se hleda
  kq_pin informace;  // informace, ktera se hleda
  struct hash *next;  // dalsi policko hashe (je pouzito separate chaining)
} *hashtable[HASHSIZE];

//: prototypy

void inithash();  // Vynuluje hashove pole.
void hash_add(int typ, char *s, kq_pin *informace);
  // Prida do hashe dalsi policko, pripadne ho smaze. (pokud informace==NULL);
kq_pin *hash_find(int typ, char *s);
  // Vyhleda zadany typ+string a vrati prislusnou informaci.
