#include "types.h"
#include "pin.h"

//: pinfunkce

kq_pin pinpointer (void *p)
{
  kq_pin vysledek;
  vysledek.typ = PINPOINTER;
  vysledek.u.p = p;
  return vysledek;
}

kq_pin pinint (int i)
{
  kq_pin vysledek;
  vysledek.typ = PININT;
  vysledek.u.i = i;
  return vysledek;
}

//: spustsparem

void spustsparem (void (*funkce)(), kq_pin *parametr)
{
  if(parametr->typ == PINNULL) funkce();
  else if(parametr->typ == PININT) funkce(parametr->u.i);
  else funkce(parametr->u.p);
}
